org.eclipse.gmt.modisco.infra.query.core

## Class ModelQuerySetCatalog

- java.lang.Object
- - AbstractMoDiscoCatalog
  - - org.eclipse.gmt.modisco.infra.query.core.ModelQuerySetCatalog

Deprecated.
replaced by EMF Facet, cf. https://bugs.eclipse.org/bugs/show_bug.cgi?id=470578

    @Deprecated
    public final class ModelQuerySetCatalog
    extends AbstractMoDiscoCatalog

### Field Summary

Fields
`static java.lang.String` `FACTORY_EXTENSION_POINT_ID` Deprecated.
`static java.lang.String` `FILE_EXTENSION` Deprecated.
`static java.lang.String` `REGISTRATION_EXTENSION_POINT_ID` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`java.util.Collection<ModelQuerySet>` `getAllModelQuerySets()` Deprecated. This methods returns the query sets of all the resources contained in the catalog.
`java.lang.String` `getFileExtension()` Deprecated.
`java.util.List<IModelQueryFactory>` `getInstalledModelQueryFactory()` Deprecated. This method returns the list of the installed model query factory.
`AbstractModelQuery` `getModelQueryImpl(ModelQuery modelQuery)` Deprecated. This method return a java object containing the model query implementation.
`ModelQuerySet` `getModelQuerySet(java.lang.String name)` Deprecated. This method returns the model query set of the resource having for name the "name" parameter value.
`static ModelQuerySetCatalog` `getSingleton()` Deprecated.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REGISTRATION_EXTENSION_POINT_ID

    public static final java.lang.String REGISTRATION_EXTENSION_POINT_ID

Deprecated.

See Also:
  Constant Field Values

#### FACTORY_EXTENSION_POINT_ID

    public static final java.lang.String FACTORY_EXTENSION_POINT_ID

Deprecated.

See Also:
  Constant Field Values

#### FILE_EXTENSION

    public static final java.lang.String FILE_EXTENSION

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getSingleton

    public static ModelQuerySetCatalog getSingleton()

Deprecated.

#### getModelQuerySet

    public ModelQuerySet getModelQuerySet(java.lang.String name)

Deprecated.
This method returns the model query set of the resource having for name the "name" parameter value.

Parameters:
  `name` - the name of a resource contained in the catalog
Returns:
  return a model query set

#### getAllModelQuerySets

    public java.util.Collection<ModelQuerySet> getAllModelQuerySets()

Deprecated.
This methods returns the query sets of all the resources contained in the catalog.

Returns:
  returns all the query sets

#### getInstalledModelQueryFactory

    public java.util.List<IModelQueryFactory> getInstalledModelQueryFactory()

Deprecated.
This method returns the list of the installed model query factory.

Returns:
  model query factories

#### getModelQueryImpl

    public AbstractModelQuery getModelQueryImpl(ModelQuery modelQuery)
                                         throws ModelQueryException

Deprecated.
This method return a java object containing the model query implementation.

Parameters:
  `modelQuery` - a model query
Returns:
  a model query implementation instance
Throws:
  `ModelQueryException`

#### getFileExtension

    public java.lang.String getFileExtension()

Deprecated.